# SpriteLoader Class Reference

Inheritance diagram for SpriteLoader:

## Data Structures
struct | CommonPixel
struct | Sprite
| Structure for passing information from the sprite loader to the blitter. More...
## Public Member Functions
virtual bool | LoadSprite (SpriteLoader::Sprite *sprite, uint8 file_slot, size_t file_pos, SpriteType sprite_type, ZoomLevel zoom)=0
| Load a sprite from the disk and return a sprite struct which is the same for all loaders.

## Detailed Description

Definition at line 18 of file spriteloader.hpp.

## Member Function Documentation

virtual bool SpriteLoader::LoadSprite | ( | SpriteLoader::Sprite * | sprite,
|  | uint8 | file_slot,
|  | size_t | file_pos,
|  | SpriteType | sprite_type,
|  | ZoomLevel | zoom |
| ) |  |  | `[pure virtual]`

Load a sprite from the disk and return a sprite struct which is the same for all loaders.

Parameters:

  | sprite | The sprite to fill with data.
  | file_slot | The file "descriptor" of the file we read from.
  | file_pos | The position within the file the image begins.
  | sprite_type | The type of sprite we're trying to load.

Returns:
  true iff loading went okay.

Implemented in SpriteLoaderGrf, and SpriteLoaderPNG.

The documentation for this class was generated from the following file:

- src/spriteloader/spriteloader.hpp